Subject: Re: FVWM: random background picture

From: Rouben Rostamian <[email-masked]>
Date: Wed, 15 Dec 2004 21:24:00 -0500

Eric Coulthard <[email-masked]> wrote:
> Hello I have been experimenting with using a random background image and I
> found a command that will do it. Unfortunatly it doesn't work in my
> .fvwm2rc file. I was wondering if you could offer any helpful suggestions.
> This is the command as it is used in my InitFunction:
>
> +     "I" exec xv -root -max -quit bgpictures/bg$[RANDOM % 3 +1].jpg
>
> Now it is supposed to pick between 3 jpg files each named bg1.jpg bg2.jpg
> and bg3.jpg in the bgpictures directory. It works if I use this command in
> my .bashrc file but not the .fvwm2rc file. I am certain it is because
> fvwm doesn't recognize the $[RANDOM % 3 + 1] part but I would like to
> know if their is a way I can get it to recognize it. If anyone can help me
> that would be great.

You may want to try xv's "-random" option instead, as in:

xv -root -max -quit -random bgpictures/bg*.jpg

I am not sure how the wildcard "*" will be handled from within fvwm.
You may need to experiment a bit.

-- 
Rouben Rostamian
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].